For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI ReferenceWebhooks Reference
DocumentationAPI ReferenceWebhooks Reference
  • Ingest Reference
      • POSTUpload files
      • POSTUpload files by URL
      • GETGet file information by ID
      • POSTUpload single document file
      • POSTUpload single file by URL
  • Main Reference
LogoLogo
Ingest ReferenceFiles

Get file information by ID

GET
https://api.invofox.com/v1/ingest/files/:fileId
GET
/v1/ingest/files/:fileId
1const url = 'https://api.invofox.com/v1/ingest/files/66f580d3bee75c4a542daabb';
2const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
1{
2 "id": "66f580d3bee75c4a542daabb",
3 "accountId": "66d721ec7edc0baa3794eec1",
4 "environmentId": "66d721f5ee90270bfac654a0",
5 "importId": "66d711d737c788ba24e17734",
6 "filename": "invoice.pdf",
7 "compressed": false,
8 "status": "processed",
9 "mimeType": "application/pdf",
10 "companyId": "66d5dc3afed4f8062c998439",
11 "parentFileId": "66f580d3bee75c4a542daabb",
12 "documentIds": [
13 "66d71d63c9d0d2adc038b076",
14 "66d71d63c9d0d2adc038b077"
15 ],
16 "error": "ERR_UNSUPPORTED_FILE_FORMAT",
17 "createdAt": "2024-09-26T10:30:00.000Z",
18 "updatedAt": "2024-09-26T10:35:00.000Z",
19 "clientData": {
20 "userId": "507f1f77bcf86cd799439015",
21 "invofoxAccountName": "company-name",
22 "invofoxCompanyId": "12345"
23 }
24}
Retrieves file information if the user belongs to the same environment
Was this page helpful?
Previous

Upload single document file

Next
Built with

Authentication

x-api-keystring

API key authentication for programmatic access. Used by server-to-server integrations and API clients.

OR
x-access-tokenstring

Access token authentication for web users. Used by browser-based applications and authenticated user sessions.

Path parameters

fileIdstringRequired
The ID of the file

Response

File information retrieved successfully
idstring
Unique identifier of the file
accountIdstring
Account identifier
environmentIdstring
Environment identifier
importIdstring
Import identifier
filenamestring
Name of the file
compressedboolean
Indicates if the file is compressed
statusenum
Current processing status of the file
Allowed values:
mimeTypestring
MIME type of the file
companyIdstring
Company identifier
parentFileIdstring
Parent file identifier if this file was extracted from another
documentIdslist of strings
Array of document identifiers extracted from this file
errorstring
Error code if processing failed
createdAtstringformat: "date-time"
Timestamp when the file was created
updatedAtstringformat: "date-time"
Timestamp when the file was last updated
clientDataobject
Client data associated to the file

Errors

404
Not Found Error